@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

:root {
    --dark-one: #0A0F30;
    --dark-two: #515f62;
    --main-color: #2D6BFF;
    --light-one: #fff;
    --light-two: #d8e0e1d7;
    --light-three: #F8FAFF;
}

::selection {
    background-color: #3d64ff76;
}

/* Genral Styles */

*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body,
button,
input,
textarea {
    font-family: "Montserrat", sans-serif;
}

body {
    background-color: var(--light-one);
}

a {
    text-decoration: none;
}

ul {
    list-style: none;
}

img {
    width: 100%;
}

.container {
    position: relative;
    z-index: 5;
    max-width: 92rem;
    padding: 0 4rem;
    margin: 0 auto;
}

.grid-2 {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    justify-content: center;
}

.text {
    font-size: 1.2rem;
    font-weight: 300;
    color: var(--dark-two);
    line-height: 1.6;
    margin: 1rem 0;
}

.column-1 {
    margin-right: 1.5rem;
}

.column-2 {
    margin-left: 1.5rem;
}

.image {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}

.z-index {
    position: relative;
    z-index: 2;
}

.section {
    position: relative;
    padding: 5rem 0;
}

.section-header {
    margin-bottom: 1.5rem;
}

.title {
    position: relative;
    display: inline-block;
    padding-bottom: 1rem;
    line-height: 1.3;
    font-size: 2.8rem;
    margin-bottom: 0.6rem;
    color: var(--dark-one);
}

.title span {
    background: linear-gradient(160deg, #2D6BFF 0%, #8A3CFF 100%);
    -webkit-background-clip: text;
    color: transparent;
}

.title:before {
    content: attr(data-title);
    display: block;
    margin-bottom: 0.4rem;
    color: var(--main-color);
    font-size: 1.15rem;
    font-weight: 500;
    text-transform: uppercase;
    letter-spacing: 3px;
}

.section-header .title,
.section-header .text {
    max-width: 700px;
}

.title-sm {
    color: var(--dark-one);
    font-weight: 600;
    font-size: 1.6rem;
}

.btn {
    position: relative;
    display: inline-block;
    width: auto;
    height: auto;
    background-color: transparent;
    border: 1px solid var(--main-color);
    cursor: pointer;
}

.btn span {
    position: relative;
    display: inline-block;
    font-size: 14px;
    font-weight: bold;
    letter-spacing: 2px;
    text-transform: uppercase;
    top: 0;
    left: 0;
    width: 100%;
    padding: 15px 20px;
    color: rgb(255, 255, 255);
    transition: 0.3s all;
}

.btn span:hover {
    background: linear-gradient(160deg, #2D6BFF 0%, #8A3CFF 100%);
    -webkit-background-clip: text;
    color: transparent;
}

.btn::before {
    position: absolute;
    content: "";
    background: linear-gradient(160deg, #2D6BFF 0%, #8A3CFF 100%);
    transition: 0.3s ease-out;
    top: 0;
    left: 0;
    right: 0;
    height: 100%;
    width: 100%;
}

.btn:hover::before {
    height: 0%;
}

/* End Genral Styles */

/* Responsive */

@media (max-width: 1280px) {
    .text {
        font-size: 1rem;
    }

    .title {
        font-size: 2.1rem;
        padding-bottom: 0.65rem;
    }

    .title:before {
        margin-bottom: 0.2rem;
        font-size: 0.8rem;
        letter-spacing: 2px;
    }

    .title:after {
        height: 3.5px;
        width: 70px;
    }

    .title-sm {
        font-size: 1.2rem;
    }

    .btn {
        font-size: 0.8rem;
    }

    .section-header .text {
        max-width: 500px;
    }

    .section {
        padding: 4.5rem 0;
    }

    .column-1 {
        margin-right: 1rem;
    }

    .column-2 {
        margin-left: 1rem;
    }

}

@media (max-width: 850px) {
    .grid-2 {
        grid-template-columns: 1fr !important;
    }

    .column-1 {
        margin-right: 0;
        margin-bottom: 1rem;
    }

    .column-2 {
        margin-left: 0;
        margin-top: 1rem;
    }
}

@media (max-width: 560px) {
    .container {
        padding: 0 1.5rem;
    }

    .title {
        font-size: 1.8rem;
    }
}


/* End Responsive */